Subject: Re: [sidr] I-D Action: draft-ietf-sidr-bgpsec-pki-profiles-01.txt

From: Christopher Morrow <[email-masked]>
Date: Wed, 28 Mar 2012 08:33:07 -0400

Sean/Tom,
Tom had some comments on the previous (I believe) version of this
draft, are they addressed to your satisfaction Tom?

Sean, if Tom's ok with the changes, should we move this along?

-Chris
<cochair>

On Mon, Dec 5, 2011 at 1:20 PM,  <[email-masked]> wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Secure Inter-Domain Routing Working Group of the IETF.
>
>        Title           : A Profile for BGPSEC Router Certificates, Certificate Revocation Lists, and Certification Requests
>        Author(s)       : Mark Reynolds
>                          Sean Turner
>                          Steve Kent
>        Filename        : draft-ietf-sidr-bgpsec-pki-profiles-01.txt
>        Pages           : 11
>        Date            : 2011-12-05
>
>   This document defines a standard profile for X.509 certificates for
>   the purposes of supporting validation of Autonomous System (AS) paths
>   in the Border Gateway Protocol (BGP), as part of an extension to that
>   protocol known as BGPSEC.  BGP is a critical component for the proper
>   operation of the Internet as a whole.  The BGPSEC protocol is under
>   development as a component to address the requirement to provide
>   security for the BGP protocol.  The goal of BGPSEC is to design a
>   protocol for full AS path validation based on the use of strong
>   cryptographic primitives.  The end-entity (EE) certificates specified
>   by this profile are issued under Resource Public Key Infrastructure
>   (RPKI) Certification Authority (CA) certificates, containing the AS
>   Identifier Delegation extension, to routers within the Autonomous
>   System (AS).  The certificate asserts that the router(s) holding the
>   private key are authorized to send out secure route advertisements on
>   behalf of the specified AS.  This document also profiles the
>   Certificate Revocation List (CRL), profiles the format of
>   certification requests, and specifies Relying Party certificate path
>   validation procedures.  The document extends the RPKI; therefore,
>   this documents updates the RPKI Resource Certificates Profile (draft-
>   ietf-sidr-res-cert-profile).
>
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sidr-bgpsec-pki-profiles-01.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-ietf-sidr-bgpsec-pki-profiles-01.txt
>
> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr

---

From: Sean Turner <[email-masked]>
Date: Wed, 28 Mar 2012 16:46:36 +0200

I think this draft should probably get out of the WG in a cluster. 
There is normative references to draft-sidr-bgpsec-algs.  However, you 
could WGLC this draft because unless you're planning on the name format 
or the alg in draft-ietf-sidr-bgpsec-algs there's nothing really to 
argue about.  It could then just wait on the protocol/alg to go forward 
in a sensible cluster.

There's one tweak I'd do before a WGLC: update references to the 
published RFC #s.  Why don't I post a new version and then you & Sandy 
can decide whether to start the WGLC button.

The only thing remaining would be to get example encodings, but I think 
that can wait.

spt

On 3/28/12 2:33 PM, Christopher Morrow wrote:
> On Mon, Dec 5, 2011 at 1:20 PM,<[email-masked]>  wrote:
>>